2019-10-19 12:38 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001498FSSCP---------public2007-09-29 00:46
Reporternrm 
Assigned ToTurey 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001498: When no joystick attached mouse control is not enabled by default
DescriptionLogic dictates that if game supports both mouse & joystick control then if the other is not available the other is used by default.

Not really relevant but I still Do have a joystick however these new computers don't come with other than USB ports so attaching it is hard and since I just played Tie Fighter through with a mouse with ease this control method should be better tested and supported by default since there's a lot of people like me. It's only a hardcore minority who still has a joystick.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008541

karajorma (administrator)

To be honest I don't think this is a bug. A lot of people like to play using the keyboard only.

If no one has any further comment I'll close it in a bit.

~0008542

Goober5000 (administrator)

True, but is it necessarily disadvantageous to have the mouse enabled, even if you don't primarily play with it?

I play with the joystick, but sometimes I use the mouse for fine-tuned aiming.

~0008544

taylor (administrator)

Honestly, I wouldn't mind if mouse control was simply enabled by default, regardless of the the presence of a joystick. I don't see it being a problem these days, and it would be easy enough for people to disable if they needed to.

Such a change would only apply to new pilots, since current/old pilot files would already have the setting saved. But that is enough, as most (new) people seem to use mouse/keyboard over a joystick these days anyway.

~0008545

Turey (developer)

Last edited: 2007-09-29 00:44

I'd be willing to make the change myself, it's simple enough, and no one's objected to it.

EDIT: Change made.

+Notes

-Issue History
Date Modified Username Field Change
2007-09-09 09:07 nrm New Issue
2007-09-27 21:38 karajorma Note Added: 0008541
2007-09-29 00:09 Goober5000 Note Added: 0008542
2007-09-29 00:24 taylor Note Added: 0008544
2007-09-29 00:35 Turey Status new => assigned
2007-09-29 00:35 Turey Assigned To => Turey
2007-09-29 00:35 Turey Note Added: 0008545
2007-09-29 00:43 Turey Note Edited: 0008545
2007-09-29 00:44 Turey Note Edited: 0008545
2007-09-29 00:46 Turey Status assigned => resolved
2007-09-29 00:46 Turey Fixed in Version => 3.6.10
2007-09-29 00:46 Turey Resolution open => fixed
+Issue History